#pragma once

#include <math.h>

#include <epoxy/gl.h>
#include <epoxy/glx.h>

#include "glclasses.hpp"
#include "game.hpp"
#include "state/planet.hpp"

namespace endofthejedi {

class Renderer {
  private:
    Shader m_shader;

  protected:
  public:
    Renderer();
    ~Renderer();
  void render(const game::State* state);
    void drawCircle(float x, float y, float radius, float r, float g, float b,
                    int numSides = 12);
};
}
